local mod = ...



-- Asset ---------------------------------------------------------------------------------------------------
mod:registerAssetId("models/Textures/Blank.png", "TEXTURE_TERRAIN_BLANK")



-- Material ---------------------------------------------------------------------------------------------------
mod:register({
	DataType = "MATERIAL",
	Id = "MATERIAL_TERRAIN_BLANK",
	HasAlphaTest = true,
	AlbedoTexture = "TEXTURE_TERRAIN_BLANK"
})



-- Wall: Invisible barrier ---------------------------------------------------------------------------------------------------
mod:register({
	DataType = "WALL_CONFIG",
	Id = "WALL_TERRAIN_INVISIBLE",	
	WallConfigName = "WALL_TERRAIN_INVISIBLE_NAME",
	IsManuallyUnlocked = false,
	Material = "MATERIAL_TERRAIN_BLANK",
	MaterialTop = "MATERIAL_TERRAIN_BLANK",
	Crenation = nil,
	CrenationDistance = 0.1,
	StepLength = 0.1,
	Width = 0.33,
	Height = 1,
	UvTillingWall = 0.35,
	UvTillingTop = 0.35,
	WallOffsetY = 0,
	CrenationOffsetY = 0,
	CrenationOffsetZ = 0
})
